Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCnwbase

## Specification of methods

### setBlinkFore method

Form
  void setBlinkFore(WSCbool fl)
Function
  Set the foreground state (drawn by fore color) or the opposite state (blanked or drawn by the blink color) of the blink.
Description
  True: the fore state, False: the opposite state
Parameters

  (in)WSCbase fl | the state

Return value
  None.
Notice
Samples

        //adjust blink cycle.
        newvlab_000->setBlinkFore(True);
        newvlab_001->setBlinkFore(True);
        newvlab_002->setBlinkFore(True);
        newvlab_003->setBlinkFore(True);

  ### setOutSideMousePress method

  Form
    void setOutSideMousePress(WSCbool fl)
  Function
    Sets the flag whether it receives the mouse press event of the parent instance which is out of its own area.
  Description
  Parameters

    (in)WSCbase fl | True: receive, False: discard

  Return value
    None.
  Notice
  Samples

          //acquire mouse button press event even if the mouse pointer moves out.
          newvlab_000->setOutSideMousePress();

  ### setOutSideMouseMove method

  Form
    void setOutSideMouseMove(WSCbool fl)
  Function
    Sets the flag whether it receives the mouse motion event of the parent instance which is out of its own area.
  Description
  Parameters

    (in)WSCbase fl | True: receive, False: discard

  Return value
    None.
  Notice
  Samples

          //acquire mouse button motion event even if the mouse pointer moves out.
          newvlab_000->setOutSideMouseMove();

  ### setOutSideMouseRelease method

  Form
    void setOutSideMouseRelease(WSCbool fl)
  Function
    Sets the flag when it receives the mouse release event of the parent instance which is out of its own area.
  Description
  Parameters

    (in)WSCbase fl | True: receive, False: discard

  Return value
    None.
  Notice
  Samples

          //acquire mouse button release event even if the mouse pointer moves out.
          newvlab_000->setOutSideMouseRelease();

  ### getOutSideMousePress method

  Form
    WSCbool getOutSideMousePress()
  Function
    Returns the flag when it receives the mouse press event of the parent instance which is out of its own area.
  Description
  Parameters
    None.
  Return value
    True: receive, False: discard.
  Notice
  Samples

          //get the outside mouse press flag.
          WSCbool bool = newvlab_000->getOutSideMousePress();

  ### getOutSideMouseMove method

  Form
    WSCbool getOutSideMouseMove()
  Function
    Returns the flag when it receives the mouse motion event of the parent instance which is out of its own area.
  Description
  Parameters
    None.
  Return value
    True: receive, False: discard.
  Notice
  Samples

          //get the outside mouse move flag.
          WSCbool bool = newvlab_000->getOutSideMouseMove();

  ### getOutSideMouseRelease method

  Form
    WSCbool getOutSideMouseMove()
  Function
    Returns the flag whether it receives the mouse release event of the parent instance which is out of the own area.
  Description
  Parameters
    None.
  Return value
    True: receive, False: discard.
  Notice
  Samples

          //get the outside mouse release.
          WSCbool bool = newvlab_000->getOutSideMouseRelease();

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004